﻿<?xml version="1.0" encoding="UTF-8" ?>
<ContentPage
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    x:Class="COMPP.Views.EditAddProfileEducationPage"
    Shell.NavBarIsVisible="False">

    <ContentPage.Content>
        <StackLayout>
            <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                <Image Source="background.png" Aspect="AspectFill"></Image>
                <Grid VerticalOptions="Start">
                    <Image Source="shape_addprofile.png" Aspect="AspectFit"/>
                </Grid>
                <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" RowSpacing="20" Padding="30,70,30,0">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition />
                        <ColumnDefinition />
                    </Grid.ColumnDefinitions>
                    <Label Grid.Row="4" Grid.ColumnSpan="2" Text="Pendidikan Anda?" FontSize="36" TextColor="#47B2BA" HorizontalOptions="CenterAndExpand"></Label>
                    <Entry Text="{Binding SchoolName}" Grid.Row="6" Grid.ColumnSpan="2" Placeholder="Universitas atau Perguruan Tinggi" FontSize="18" HeightRequest="40"></Entry>
                    <Entry Text="{Binding Jurusan}" Grid.Row="7" Grid.ColumnSpan="2" Placeholder="Jurusan" FontSize="18" HeightRequest="40"></Entry>
                    <DatePicker Date="{Binding EduStartDate}" Grid.Row="9" Grid.Column="0" FontSize="18" HeightRequest="40"></DatePicker>
                    <DatePicker Date="{Binding EduEndDate}" MinimumDate="{Binding EduStartDate}" Grid.Row="9" Grid.Column="1" FontSize="18" HeightRequest="40"></DatePicker>
                    <Button Grid.Row="14" Grid.ColumnSpan="2" Text="Simpan" FontSize="16" TextColor="#FFFFFF" BackgroundColor="#47B2BA" CornerRadius="20" HeightRequest="40" Command="{Binding EditEducation}"></Button>
                </Grid>
            </Grid>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>
